Package com.independentsoft.office.odf.styles

# Class SvgStop

java.lang.Object
com.independentsoft.office.odf.styles.SvgStop

public class SvgStop extends Object
Represents the svg stop.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SvgStop()`
  Initializes a new instance of the SvgStop class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SvgStop`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getColor()`
  Gets the svg top color.
  `Size`
  `getOffset()`
  Gets the svg top offset.
  `double`
  `getOpacity()`
  Gets the svg top opacity.
  `void`
  `setColor​(String color)`
  Sets the svg top color.
  `void`
  `setOffset​(Size offset)`
  Sets the svg top offset.
  `void`
  `setOpacity​(double opacity)`
  Sets the svg top opacity.
  `String`
  `toString()`
  Converts the value of the current SvgStop object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SvgStop

    public SvgStop()
    Initializes a new instance of the SvgStop class.

- ## Method Details

  - ### clone

    public SvgStop clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current SvgStop object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getOffset

    public Size getOffset()
    Gets the svg top offset.
    Returns:
      the offset

  - ### setOffset

    public void setOffset​(Size offset)
    Sets the svg top offset.
    Parameters:
      `offset` - the new offset

  - ### getColor

    public String getColor()
    Gets the svg top color.
    Returns:
      the color

  - ### setColor

    public void setColor​(String color)
    Sets the svg top color.
    Parameters:
      `color` - the new color

  - ### getOpacity

    public double getOpacity()
    Gets the svg top opacity.
    Returns:
      the opacity

  - ### setOpacity

    public void setOpacity​(double opacity)
    Sets the svg top opacity.
    Parameters:
      `opacity` - the new opacity